package com.taais.biz.domain.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.List;
import java.util.Map;


/**
 * @author Eureka
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DataAmplifyDto {

    private String id;

    private String batchNum;

    private String taskName;

    private String augmentationType;

    private String inputImagePath;

    private String outputImagePath;

    private List<Map<String, String>> otherParams;
}
